#
# spec file for package tiny
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           tiny
Version:        0.11.0+git7
Release:        bp156.2.19
Summary:        Terminal IRC client written in Rust
License:        (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR ISC OR MIT) AND (Apache-2.0 OR MIT) AND (Apache-2.0 OR Apache-2.0 WITH LLVM-exception OR MIT) AND (Apache-2.0 OR MIT OR BSD-2-Clause) AND (MIT OR Unlicense) AND Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND CC0-1.0 AND ISC AND MIT AND MIT
URL:            https://github.com/osa1/tiny
Source0:        %{name}-%{version}.tar.zst
Source1:        vendor.tar.zst
Source2:        cargo_config
BuildRequires:  cargo-packaging
BuildRequires:  zstd
Requires:       pkgconfig(dbus-1)
Requires:       pkgconfig(openssl)

%description
A terminal IRC client written in Rust.

%prep
%autosetup -a1
mkdir .cargo
cp %{SOURCE2} .cargo/config

%build
%{cargo_build} --features desktop-notifications

%install
install -D -d -m 0755 %{buildroot}%{_bindir}
install -m 0755 %{_builddir}/%{name}-%{version}/target/release/tiny %{buildroot}%{_bindir}/tiny

%check
%{cargo_test}

%files
%license LICENSE
%doc     README.md CHANGELOG.md
%{_bindir}/tiny

%changelog
* Wed Sep 13 2023 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Fix and update vendored tarball
- Remove leftover obscpio file
* Tue Sep  5 2023 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Update vendored sources.
* Sun Aug 13 2023 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Replace obsoleted `disabled` option with `manual`
* Sat Aug  5 2023 socvirnyl.estela@gmail.com
- Update to version 0.11.0+git7:
  * Bug fixes and refactoring in key map implementation:
  * Update CHANGELOG, initial config
  * Rename 'run_command' key action to just 'command'
  * Support tiny commands in keymap config (#410)
  * Support italic and strikethrough attribute (#404) (#409)
  * Fix tab config test with desktop-notifications feature (#408)
  * Update deps, reword and format initial config, fix new lints
  * Update changelog
  * Update dependencies (#405)
  * Config to set /ignore and /notify (#344)
  * CHANGELOG: Add #403
  * Implement bold, italic, underline, strikethrough rendering
  * Added support for SASL EXTERNAL  (#363)
  * Fix a few lints introduced with rustc 1.66.0
  * CHANGELOG: Remove trailing ws, formatting
  * Implement running shell commands for getting passwords (#315)
  * Fix a bug when running $EDITOR on macOS 12
  * Mention default macOS config path in README
  * Update CHANGELOG with #395
  * Allow QUIT and PART with a message (#395)
* Fri Jun  2 2023 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Update vendored dependencies.
- Enable desktop notification feature.
* Mon Dec  5 2022 socvirnyl.estela@gmail.com
- Update to version 0.10.0+git14:
  * Fix new lints and warnings (#394)
- Automatic update of vendored dependencies.
* Fri Nov  4 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Automatic update of vendored dependencies.
* Mon Aug 29 2022 socvirnyl.estela@gmail.com
- Update of vendored dependencies
* Mon Jun 20 2022 William Brown <william.brown@suse.com>
- Automatic update of vendored dependencies
* Wed Jun  1 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Fix versioning format.
- Update to version 0.10.0+git13 (mostly dependency update and some fixes):
  * Update dependencies (#386)
  * Move to 2021 edition (#385)
  * Fix clippy warnings (#383)
  * Remove alias field in `Tab`, store visible name, remove `MsgSource::visible_name`
  * Suppress some clippy warnings
  * Document ERR_NICKNAMEINUSE handling in conn handler, remove a TODO
  * Fix potential UB in `term_input::read_stdin`
  * Bump dependencies
  * Update messages in some of the tests to avoid confusion
  * Bump deps
  * Fix handling of CR, LR, tabs in IRC format parser
  * Fix a few doc warnings
  * Bump deps
* Wed Jun  1 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Automatic update of vendored dependencies
- Fix some build errors
* Tue May 24 2022 William Brown <william.brown@suse.com>
- Automatic update of vendored dependencies
* Tue Mar 15 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Initial spec for tiny (0.10.0)
